#version 460 core
layout (location = 0) in vec3 vertices;
layout (location = 1) in vec3 normals;
layout (location = 2) in vec2 texcoords;

uniform mat4 model;
uniform mat4 projection;
//uniform mat4 viewNormal;
uniform mat4 view;

out vec3 FragPos;
out vec3 Normal;
out vec2 texCoord0;

void main()
{
	FragPos=vec3(model*vec4(vertices,1.0));
	Normal = mat3(transpose(inverse(model))) * normals;
	texCoord0=texcoords;
	gl_Position = projection * view * model * vec4(vertices, 1.0);

}
